Subject: Re: bug#24945: 25.1; delete-selection-mode

From: Tak Kunihiro <[email-masked]>
Date: Wed, 16 Nov 2016 08:11:14 +0900

Thank you for replay.  I see.  It seems I did not understand how it works.

For unknown reason, I used 24.5 with (setq select-enable-primary t);  It
is likely that 24.5 just ignores it.

Sorry to bother.

On Nov 16, 2016, at 24:28 , Eli Zaretskii <[email-masked]> wrote:

>> Date: Tue, 15 Nov 2016 15:54:23 +0900 (JST)
>> From: Tak Kunihiro <[email-masked]>
>> Cc: [email-masked]
>> 
>> `delete-selection-mode' on 25.1 does not work well when
>> `select-enable-primary' is `t'.
>> 
>> 1. runemacs.exe -Q
>> 2. (setq select-enable-primary t)
>> 3. M-x delete-selection-mode
>> 4. select region and kill
>> 5. select other region and yank
>> 
>> The region selected by step 5 stays, not replace by yanked text.
> 
> Since selecting text in step 5 puts the selected text in the primary
> selection, and thus overwrites the text saved there by the kill in
> step 4, I don't see how it makes sense to set select-enable-primary
> while using delete-selection-mode: these two options contradict each
> other in fundamental ways.  On top of that, primary selection doesn't
> really exist on MS-Windows, it's only emulated inside the Emacs
> session, which makes its use even less useful.
> 
> IOW, I don't see a bug here.
> 
> Thanks.